package com.docus.webservice.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 病案子表
 * </p>
 *
 * @author jiashi
 * @since 2021-04-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="TBasicSub对象", description="病案子表")
public class TBasicSub implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "病案主键")
      @TableId(value = "patient_id", type = IdType.ASSIGN_ID)
    private String patientId;

    @ApiModelProperty(value = "医疗付费方式")
    private String payType;

    @ApiModelProperty(value = "健康卡号")
    private String healthyCard;

    @ApiModelProperty(value = "出生日期")
    private Date birthday;

    @ApiModelProperty(value = "国籍")
    private String country;

    @ApiModelProperty(value = "民族")
    private String nation;

    @ApiModelProperty(value = "新生儿出生体重")
    private BigDecimal avoirdupois;

    @ApiModelProperty(value = "新生儿入院体重")
    private BigDecimal birthbabyWeight;

    @ApiModelProperty(value = "出生地")
    private String birthAddr;

    @ApiModelProperty(value = "籍贯")
    private String nativePlace;

    @ApiModelProperty(value = "职业")
    private String job;

    @ApiModelProperty(value = "婚况")
    private String marriage;

    @ApiModelProperty(value = "现住邮编")
    private String zip;

    @ApiModelProperty(value = "户口地址")
    private String homeAddr;

    @ApiModelProperty(value = "家庭电话")
    private String homeTel;

    @ApiModelProperty(value = "家庭邮编")
    private String homeZip;

    @ApiModelProperty(value = "病人来源")
    private String patientsSource;

    @ApiModelProperty(value = "工作单位及地址")
    private String workAddr;

    @ApiModelProperty(value = "工作单位电话")
    private String workTel;

    @ApiModelProperty(value = "工作单位住址邮编")
    private String workZip;

    @ApiModelProperty(value = "联系人姓名")
    private String linkman;

    @ApiModelProperty(value = "联系人关系")
    private String relation;

    @ApiModelProperty(value = "关系人住址")
    private String relAddr;

    @ApiModelProperty(value = "关系人电话")
    private String relTel;

    @ApiModelProperty(value = "入院途径")
    private String admissType;

    @ApiModelProperty(value = "入院病房")
    private String admissWard;

    @ApiModelProperty(value = "出院病房")
    private String disWard;

    @ApiModelProperty(value = "门(急)诊诊断")
    private String clinicName;

    @ApiModelProperty(value = "门(急)诊诊断编码")
    private String clinicDiag;

    @ApiModelProperty(value = "门(急)诊医生")
    private String clinicDoctor;

    @ApiModelProperty(value = "病历分型")
    private String caseType;

    @ApiModelProperty(value = "是否有临床路径病历")
    private String isMedicalRecordPath;

    @ApiModelProperty(value = "抢救次数")
    private String saveTimes;

    @ApiModelProperty(value = "抢救成功次数")
    private String saveSuccessTimes;

    @ApiModelProperty(value = "损伤、中毒的外部原因")
    private String injuryPoisoningCauses;

    @ApiModelProperty(value = "损伤、中毒的外部原因编码")
    private String injuryPoisoningCausesDate;

    @ApiModelProperty(value = "病理诊断")
    private String pathologyDiagName;

    @ApiModelProperty(value = "病理号")
    private String pathologyDiagNum;

    @ApiModelProperty(value = "病理编码")
    private String pathologyDiagCode;

    @ApiModelProperty(value = "是否药物过敏")
    private String isMedicine;

    @ApiModelProperty(value = "药物过敏")
    private String medicine;

    @ApiModelProperty(value = "是否死亡患者尸检")
    private String emitPathology;

    @ApiModelProperty(value = "血型")
    private String bloodType;

    @ApiModelProperty(value = "Rh")
    @TableField("RH")
    private String rh;

    @ApiModelProperty(value = "科主任")
    private String deptDirector;

    @ApiModelProperty(value = "主任(副主任)医师")
    private String director;

    @ApiModelProperty(value = "住院医师")
    private String admissDoctor;

    @ApiModelProperty(value = "责任护士")
    private String responsibleNurse;

    @ApiModelProperty(value = "进修医师")
    private String refresher;

    @ApiModelProperty(value = "实习医师")
    private String praxis;

    @ApiModelProperty(value = "编码员")
    private String coding;

    @ApiModelProperty(value = "病案质量")
    private String quality;

    @ApiModelProperty(value = "质控医师")
    private String control;

    @ApiModelProperty(value = "质控护士")
    private String nurses;

    @ApiModelProperty(value = "质控日期")
    private Date qualityDate;

    @ApiModelProperty(value = "离院方式")
    private String disType;

    @ApiModelProperty(value = "是否有出院31天内再住院计划")
    private String isHospitalization;

    @ApiModelProperty(value = "出院31天内再住院目的")
    private String hospitalizationObjective;

    @ApiModelProperty(value = "颅脑损伤患者昏迷时间入院前时间")
    private String craniocerebralStarttime;

    @ApiModelProperty(value = "颅脑损伤患者昏迷时间入院后时间")
    private String craniocerebralEndtime;

    @ApiModelProperty(value = "肿瘤分期类型")
    private String tumorStagingType;

    @ApiModelProperty(value = "方式(放疗)")
    private String radiotherapyType;

    @ApiModelProperty(value = "程式(放疗)")
    private String radiotherapyProgram;

    @ApiModelProperty(value = "装置(放疗)")
    private String radiotherapyDevice;

    @ApiModelProperty(value = "肿瘤诊断类型")
    private String tumorDiagType;

    @ApiModelProperty(value = "放疗服药期间天数")
    private Integer primaryTumorDay;

    @ApiModelProperty(value = "放疗服药期间每天次数")
    private Integer primaryTumorTimes;

    @ApiModelProperty(value = "放疗服药期间每次剂量")
    private Integer primaryTumorDose;

    @ApiModelProperty(value = "放疗服药起始日期")
    private String primaryTumorStarttime;

    @ApiModelProperty(value = "放疗服药终止日期")
    private String primaryTumorEndtime;

    @ApiModelProperty(value = "化疗方式")
    private String chemotherapyType;

    @ApiModelProperty(value = "化疗方法")
    private String chemotherapyMethod;

    @ApiModelProperty(value = "主要入院病情")
    private String mainAdmissThing;

    @ApiModelProperty(value = "主要手术日期")
    private Date mainOperateDate;

    @ApiModelProperty(value = "主要手术麻醉方式")
    private String mainAnaesthesiaType;

    @ApiModelProperty(value = "主要手术级别")
    private String mainOperateClass;

    @ApiModelProperty(value = "主要手术术者")
    private String mainOperator;

    @ApiModelProperty(value = "院内感染病名")
    private String taintName;

    @ApiModelProperty(value = "其他诊断")
    private String otherDiagName;

    @ApiModelProperty(value = "终审时间")
    private String finalJudgmentName;

    @ApiModelProperty(value = "是否已扫描")
    private String isScan;

    @ApiModelProperty(value = "光点号")
    private String gdh;

    private String bsColumn1;

    private String bsColumn2;

    private String bsColumn3;

    private String bsColumn4;

    private String bsColumn5;

    private Integer bsColumn6;

    private Integer bsColumn7;

    private Integer bsColumn8;

    private Integer bsColumn9;

    private Integer bsColumn10;

    @ApiModelProperty(value = "医疗付费方式名称")
    private String payTypeName;

    @ApiModelProperty(value = "国籍名称")
    private String countryName;

    @ApiModelProperty(value = "民族名称")
    private String nationName;

    @ApiModelProperty(value = "籍贯名称")
    private String nativePlaceName;

    @ApiModelProperty(value = "职业名称")
    private String jobName;

    @ApiModelProperty(value = "婚况名称")
    private String marriageName;

    @ApiModelProperty(value = "联系人关系名称")
    private String relationName;

    @ApiModelProperty(value = "入院途径名称")
    private String admissTypeName;

    @ApiModelProperty(value = "入院病房名称")
    private String admissWardName;

    @ApiModelProperty(value = "出院病房名称")
    private String disWardName;

    @ApiModelProperty(value = "门(急)诊医生名称")
    private String clinicDoctorName;

    @ApiModelProperty(value = "病历分型名称")
    private String caseTypeName;

    @ApiModelProperty(value = "科主任名称")
    private String deptDirectorName;

    @ApiModelProperty(value = "主任(副主任)医师名称")
    private String directorName;

    @ApiModelProperty(value = "住院医师名称")
    private String admissDoctorName;

    @ApiModelProperty(value = "责任护士名称")
    private String responsibleNurseName;

    @ApiModelProperty(value = "进修医师名称")
    private String refresherName;

    @ApiModelProperty(value = "实习医师名称")
    private String praxisName;

    @ApiModelProperty(value = "编码员名称")
    private String codingName;

    @ApiModelProperty(value = "病案质量名称")
    private String qualityName;

    @ApiModelProperty(value = "质控医师名称")
    private String controlName;

    @ApiModelProperty(value = "质控护士名称")
    private String nursesName;

    @ApiModelProperty(value = "离院方式名称")
    private String disTypeName;

    @ApiModelProperty(value = "是否有出院31天内再住院计划名称")
    private String isHospitalizationName;

    @ApiModelProperty(value = "肿瘤分期类型名称")
    private String tumorStagingTypeName;

    @ApiModelProperty(value = "方式(放疗)名称")
    private String radiotherapyTypeName;

    @ApiModelProperty(value = "程式(放疗)名称")
    private String radiotherapyProgramName;

    @ApiModelProperty(value = "装置(放疗)名称")
    private String radiotherapyDeviceName;

    @ApiModelProperty(value = "化疗方式名称")
    private String chemotherapyTypeName;

    @ApiModelProperty(value = "化疗方法名称")
    private String chemotherapyMethodName;

    @ApiModelProperty(value = "主要入院病情名称")
    private String mainAdmissThingName;

    @ApiModelProperty(value = "主要手术麻醉方式名称")
    private String mainAnaesthesiaTypeName;

    @ApiModelProperty(value = "主要手术级别名称")
    private String mainOperateClassName;

    @ApiModelProperty(value = "主要手术术者名称")
    private String mainOperatorName;


    @ApiModelProperty(value = "其他诊断编码")
    private String otherDiagCode;

    @ApiModelProperty(value = "rh名称")
    private String rhName;
    @ApiModelProperty(value = "血型名称")
    private String bloodTypeName;
    @ApiModelProperty(value = "是否药物过敏名称")
    private String isMedicineName;
    @ApiModelProperty(value = "是否死亡患者尸检名称")
    private String emitPathologyName;
    @ApiModelProperty(value = "是否有临床路径病历名称")
    private String isMedicalRecordPathName;
    @ApiModelProperty(value = "肿瘤诊断类型名称")
    private String tumorDiagTypeName;



}
