package com.docus.webservice.service;


import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.docus.webservice.entity.TBasic;
import com.docus.webservice.entity.TBasicSub;
import com.docus.webservice.mapper.TBasicMapper;
import com.docus.webservice.mapper.TBasicSubMapper;
import com.docus.webservice.utils.ResultUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.HashMap;

/**
 * <p>
 * 病案基本信息 服务实现类
 * </p>
 *
 * @author jiashi
 * @since 2021-04-14
 */
@Slf4j
@Service
public class TBasicServiceImpl extends ServiceImpl<TBasicMapper, TBasic> implements ITBasicService {

    @Autowired
    private TBasicMapper tBasicMapper;

    @Autowired
    private TBasicSubMapper tBasicSubMapper;

    @Transactional
    @Override
    public void savaAndSub(TBasic tBasic, HashMap<String, Object> tBasicSubMap) {
        TBasic selectTBasic = tBasicMapper.selectOne(new QueryWrapper<TBasic>().eq("emp_id", tBasic.getEmpId()));
        if (selectTBasic == null) {
            int insert = tBasicMapper.insert(tBasic);
            if (insert <= 0) {
                throw new RuntimeException("数据库执行出错，请重试");
            }
            TBasicSub tBasicSub = JSON.parseObject(JSON.toJSONString(tBasicSubMap), TBasicSub.class);
            tBasicSub.setPatientId(tBasic.getPatientId());
            insert = tBasicSubMapper.insert(tBasicSub);
            if (insert <= 0) {
                throw new RuntimeException("数据库执行出错，请重试");
            }
        } else {
            throw new RuntimeException("emp_id不能和已有的重复");
        }
    }

    @Override
    public void updateAndSub(TBasic tBasic, HashMap<String, Object> tBasicSubMap) {
        TBasic selectTBasic = tBasicMapper.selectOne(new QueryWrapper<TBasic>().eq("emp_id", tBasic.getEmpId()));
        if (selectTBasic != null) {
            int insert = tBasicMapper.update(tBasic, new QueryWrapper<TBasic>().eq("emp_id", tBasic.getEmpId()));
            if (insert <= 0) {
                throw new RuntimeException("数据库执行出错，请重试");
            }
            if (tBasicSubMap != null && tBasicSubMap.size() > 0) {
                TBasicSub tBasicSub = JSON.parseObject(JSON.toJSONString(tBasicSubMap), TBasicSub.class);
                tBasicSub.setPatientId(selectTBasic.getPatientId());
                insert = tBasicSubMapper.updateById(tBasicSub);
                if (insert <= 0) {
                    throw new RuntimeException("数据库执行出错，请重试");
                }
            }
        } else {
            throw new RuntimeException("ResultUtils.fail(\"修改时,需提供有效的emp_id\");");
        }
    }
}
