package com.docus.webservice.utils;

import com.docus.webservice.enums.Codes;
import org.apache.commons.lang3.StringUtils;
import org.dom4j.Document;
import org.dom4j.DocumentHelper;
import org.dom4j.Element;

/**
 * 返回结果工具类
 */
public class ResultUtils {
    /**
     * 通过document对象返回节点对象
     * @param response
     * @return
     */
    public static Element getElement(Document response){
        Element element = response.getRootElement();
        return element;
    }

    /**
     * 成功返回
     * @return
     */
    public static Document success(){
        // 1、创建document对象
        Document document= DocumentHelper.createDocument();
        //2.创建根节点
        Element response=document.addElement(Codes.RESPONSE.getMessage());
        // 3、生成子节点及子节点内容
        Element RetInfo = response.addElement(Codes.RET_INFO.getMessage());
        //4.生成代码和描述节点
        Element resCode = RetInfo.addElement(Codes.RET_CODE.getMessage());
        Element retCon = RetInfo.addElement(Codes.RET_CON.getMessage());
        //赋值
        resCode.setText(String.valueOf(Codes.SUCCESS.getCode()));
        retCon.setText(Codes.SUCCESS.getMessage());
        return document;
    }

    /**
     * 失败返回
     * @return
     */
    public static String fail(){
        // 1、创建document对象
        Document document= DocumentHelper.createDocument();
        //2.创建根节点
        Element response=document.addElement(Codes.RESPONSE.getMessage());
        // 3、生成子节点及子节点内容
        Element RetInfo = response.addElement(Codes.RET_INFO.getMessage());
        //4.生成代码和描述节点
        Element resCode = RetInfo.addElement(Codes.RET_CODE.getMessage());
        Element retCon = RetInfo.addElement(Codes.RET_CON.getMessage());
        //赋值
        resCode.setText(String.valueOf(Codes.ERROR.getCode()));
        retCon.setText(Codes.ERROR.getMessage());
        return document.asXML();
    }

    /**
     * 失败返回
     * @return
     */
    public static String fail(String message){
        // 1、创建document对象
        Document document= DocumentHelper.createDocument();
        //2.创建根节点
        Element response=document.addElement(Codes.RESPONSE.getMessage());
        // 3、生成子节点及子节点内容
        Element RetInfo = response.addElement(Codes.RET_INFO.getMessage());
        //4.生成代码和描述节点
        Element resCode = RetInfo.addElement(Codes.RET_CODE.getMessage());
        Element retCon = RetInfo.addElement(Codes.RET_CON.getMessage());
        //赋值
        resCode.setText(String.valueOf(Codes.ERROR.getCode()));
        retCon.setText(StringUtils.isNotBlank(message)?message:Codes.ERROR.getMessage());
        return document.asXML();
    }

}
